import { ModuleMetadata, Type } from '@nestjs/common';
import { WebClientOptions } from '@slack/web-api';
export interface SlackApiOptions {
    token: string;
    clientOptions?: WebClientOptions;
}
export interface SlackWebhookOptions {
    url: string;
}
export declare type SlackRequestType = 'api' | 'webhook' | 'stdout' | 'google';
export interface SlackConfig {
    type: SlackRequestType;
    defaultChannel?: string;
    apiOptions?: SlackApiOptions;
    webhookOptions?: SlackWebhookOptions;
    output?: (out: unknown) => void;
}
export interface SlackSyncConfig extends SlackConfig {
    isGlobal?: boolean;
}
export interface SlackAsyncConfig extends Pick<ModuleMetadata, 'imports'> {
    useClass?: Type<SlackConfigFactory>;
    useFactory?: (...args: any[]) => Promise<SlackConfig> | SlackConfig;
    inject?: any[];
    useExisting?: Type<SlackConfigFactory>;
    isGlobal?: boolean;
}
export interface SlackConfigFactory {
    slackConfigModuleOptions(): Promise<SlackConfig> | SlackConfig;
}
